using System;
using System.Collections.Generic;

namespace namestanjeglasanja
{
    class Program
    {
        static long resenje(List<long> A, long x, int N)
        {
            int pom = 0;
            if (!A.Contains(x)) { A.Add(x); N++; pom++; }
            A.Sort();

            if (A[N / 2] == x) return 0;
            else
            {
                int i1 = A.GetRange(0, A.Count / 2).LastIndexOf(x);
                int i2 = A.GetRange(A.Count / 2, A.Count / 2).IndexOf(x);
                int i;
                if (i1 == -1) i = i2 + N - N / 2;
                else i = i1;
                int resenje = Math.Abs(N - (i + 1) - i) + pom;
                if (i > A.Count / 2) resenje--;
                return resenje;
            }
        }

        static void Main(string[] args)
        {
            string [] nq = Console.ReadLine().Split();
            string [] glasovi = Console.ReadLine().Split();

            List<long> A = new List<long>();
            for (int i = 0; i < int.Parse(nq[0]); i++)
                A.Add(long.Parse(glasovi[i]));

            string[] unoszeljenih = Console.ReadLine().Split();
            long[] zeljeni = new long[int.Parse(nq[1])];
            for(int i = 0; i < int.Parse(nq[1]); i++)
            {
                zeljeni[i] = int.Parse(unoszeljenih[i]);
            }

            foreach(long j in zeljeni)
            {
                Console.WriteLine(resenje(A, j, int.Parse(nq[0])));
            }
        }
    }
}